% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dataframe-lenses.R
\name{select_l}
\alias{select_l}
\title{Tidyselect elements by name}
\usage{
select_l(...)
}
\arguments{
\item{...}{An expression to be interpreted by \link[tidyselect:vars_select]{tidyselect::vars_select}
which is the same interpreter as \link[dplyr:select]{dplyr::select}}
}
\description{
Create a lens into a named collection. On \link{set}
names of the input are not changed. This generalizes \link[dplyr:select]{dplyr::select}
to arbitrary named collections and allows updating.
}
\examples{
lets <- setNames(seq_along(LETTERS), LETTERS)
set(lets, select_l(G:F, A, B), 1:4) # A and B are 3,4 for a quick check
}
